package org.dromara.ygpassport.domain.dto;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.GoalBo;
import org.dromara.ygpassport.domain.vo.GoalVo;

import java.io.Serial;

@Data
@AutoMapper(target = GoalBo.class, reverseConvertGenerate = false)
public class WxGoalDto {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 目标
     */
    private String goal;

    public WxGoalDto() {
    }

    public WxGoalDto(GoalVo goalVo) {
        this.id = goalVo.getId();
        this.stuNo = goalVo.getStuNo();
        this.goal = goalVo.getGoal();
    }
}
